Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department:  Affected Products: ADTF 3.7.0

Requester's Priority: Normal Platform:  

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Not Reproducible FAQ Links:  

Description

Supportanfrage

wenn ich mit Adtf 3.7 meinen Processor mit RelWithDebInfo bauen will kommt folgender Linker Fehler:

3>adtf_filed_x64_msvc140.lib(object.obj) : error LNK2038: mismatch detected for '_ITERATOR_DEBUG_LEVEL': value '2' doesn't

match value '0' in mke_mat_export_service.obj

3>adtf_filed_x64_msvc140.lib(object.obj) : error LNK2038: mismatch detected for 'RuntimeLibrary': value 'MDd_DynamicDebug'

doesn't match value 'MD_DynamicRelease' in mke_mat_export_service.obj

Könnt ihr die Lib bitte mit MD bauen?

Oder kann ich das irgendwie beeinflussen?

Lösung

ADTF und sämtliche Libraries werden seit jeher in RelWithDebInfo gebaut.

error LNK2038: mismatch detected for 'RuntimeLibrary': value 'MDd_DynamicDebug' doesn't match value

'MD_DynamicRelease' in mke_mat_export_service.obj

 Baust du wirklich RelWithDebInfo und nicht Release ?

Aber egal, ADTF selbst nimmt dir das cmake mapping ab, du musst nur deine dependency via ADTF COMPONENTS suchen und

nicht direkt

siehe auch https://support.digitalwerk.net/adtf/v3/adtf_html/page_release_notes_3_7_0.html)

Schätze in deinen Fall

find_package(ADTF COMPONENTS adtfdat_processing)

Alternativ musst/kannst du das mapping selbst vornehmen, wie es z.B. im Guide gezeigt ist:

https://support.digitalwerk.net/adtf/v3/guides/tutorial_dat_tool_processor.html

History

#1 - 2020-05-14 09:48 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to AUDI

#2 - 2020-05-14 09:54 - hidden

2024-04-24 1/2

https://support.digitalwerk.net/adtf/v3/adtf_html/page_release_notes_3_7_0.html
https://support.digitalwerk.net/adtf/v3/guides/tutorial_dat_tool_processor.html


- Status changed from In Progress to Customer Feedback Required

Hallo Christian,

ADTF und sämtliche Libraries werden seit jeher in RelWithDebInfo gebaut.

error LNK2038: mismatch detected for 'RuntimeLibrary': value 'MDd_DynamicDebug' doesn't match value 'MD_DynamicRelease' in

mke_mat_export_service.obj

 Baust du wirklich RelWithDebInfo und nicht Release ?

Aber egal, ADTF selbst nimmt dir das cmake mapping ab, du musst nur deine dependency via ADTF COMPONENTS suchen und nicht direkt

siehe auch https://support.digitalwerk.net/adtf/v3/adtf_html/page_release_notes_3_7_0.html)

Schätze in deinen Fall

find_package(ADTF COMPONENTS adtfdat_processing)

Alternativ musst/kannst du das mapping selbst vornehmen, wie es z.B. im Guide gezeigt ist:

https://support.digitalwerk.net/adtf/v3/guides/tutorial_dat_tool_processor.html

#3 - 2020-05-29 16:12 - hidden

- Subject changed from MDd_DynamicDebug to MDd_DynamicDebug build type mismatch detected

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Not Reproducible

#6 - 2020-07-07 13:48 - hidden

- Project changed from 11 to Public Support

- Private changed from Yes to No

#7 - 2020-07-07 16:41 - hidden

- Status changed from To Be Closed to Closed
